#!/usr/bin/env python3

"""
A programmal szemben támasztott követelmények:

* A program egy kulcs alapján képes szövegek kódolására vagy dekódolására.
* A program az angol ábécé kis- és nagybetűit használja.
* A "normál" (dekódolt) szöveg kisbetűkből, a kódolt szöveg nagybetűkből áll.
* Egy betű kódolása egy kódoló kulcs alapján úgy történik, hogy a betű (0 bázisú) sorszámához (azaz 'a' és 'A' = 0, 'b' és 'B' = 1, ..., 'z' és 'Z' = 25) hozzáadjuk a kulcsot,
  és az eredmény a kapott sorszámú betű lesz, modulo 26 (vagyis körbemegyünk, a 'z' után megint az 'a' következik).
* Egy betű dekódolása egy kódoló kulcs alapján úgy történik, hogy a betű (0 bázisú) sorszámából kivonjuk a kulcsot,
  és az eredmény a kapott sorszámú betű lesz, modulo 26 (vagyis körbemegyünk, az 'a' előtt megint a 'z' következik).
* Az első betű kulcsát a felhasználó adja meg, minden ezt követő betű kódoló kulcsa az előző betű (0 bázisú) sorszáma.
* A felhasználó által adott kódoló vagy dekódoló kulcsot az input első teljes sora tartalmazza.
  Ha az első sorban lévő érték pozitív, akkor ez a kódoló kulcs, ha negatív, akkor dekódoló kulcs.
  (A dekódoló kulcs azt adja meg, hogy dekódoláskor mennyit kell hozzáadni a kódolt betűhöz, hogy visszakapjuk az eredetit.
  A kódoló és dekódoló kulcsok egymás -1-szeresei.)
* Azt, hogy kódolni vagy dekódolni kell, az input szó első betűje dönti el.
* Az input szóban csak az angol ábécé betűi szerepelhetnek.
* Ha az inputon nem megfelelő kulcs vagy karakter jön, a program további betűk kiírása és feldolgozása nélkül véget ér.
* Az output formátuma megegyezik az input formátumával, de mindenképpen kódoló kulcsot tartalmaz.
"""

LU = ord('A') - ord('a')
UL = ord('a') - ord('A')

def main():
    try:
        code = int(input())
        while line := input():
            for ch in line:
                if 'a' <= ch and ch < 'z':
                    print(chr(ord(ch) + code + LU), end='')
                    code = ord(ch) - ord('a')
                elif 'A' <= ch and ch < 'Z':
                    ch = chr(ord(ch) - code + UL)
                    print(ch, end='')
                    code = ord(ch) - ord('a')
                else:
                    break
            print()
    except ValueError:
        pass
    except EOFError:
        pass

if __name__ == "__main__":
    main()
