#!/usr/bin/env python3

"""
Az n alatt k értékét számoló programmal szemben támasztott követelmények:

* A program két egész számot vár n és k sorrendben, majd kiszámolja az n alatt k értéket ezekkel a számokkal,
  és egy sorban `#n alatt #k = #nak` formában kiírja a konzolra (ahol `#n` és `#k` a megadott n és k értékek decimális alakban,
  `#nak` pedig a kiszámolt n alatt k érték szintén decimális alakban).
* Ha az adott paraméterekre az n alatt k értéke nem értelmezett, akkor az `#n alatt #k nem értelmezett!` szöveg kerül kiíratásra.
* Adathiba esetén (pl. ha a program nem két egész számot kap paraméterül) a kimenet a `Hibás adat!` szöveg.
* A program kompatibilitási okokból 62-nél nagyobb n értékekre nem értelmezett.
"""

def n_alatt_k(n, k):
    nak = 1
    for i in range(1, k + 1):
        nak = nak * (n - i + 1) // i
    return nak

def main():
    try:
        val = input().split(' ')
        if len(val) != 2 or any(not v.isnumeric() for v in val):
            raise ValueError('Hibás adat!')
        n, k = [ int(v) for v in val ]
        if nak := n_alatt_k(n, k):
            print(f'{n} alatt {k} = {nak}')
        else:
            print(f'{n} alatt {k} nem értelmezett!')
    except ValueError as ve:
        print(ve)

if __name__ == "__main__":
    main()
